package com.ff.apimngr.service;

import com.ff.apimngr.dao.ApiAuthApplyMapper;
import com.ff.apimngr.entity.ApiAuthApply;
import com.ff.apimngr.entity.ApplyDetailVO;
import com.ff.apimngr.entity.ApplyVO;
import com.ff.apimngr.entity.ExamineVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ApiAuthApplyService {


    @Resource
    private ApiAuthApplyMapper apiAuthApplyMapper;



    public void insertApiAuthApply(ApiAuthApply apiAuthApply) {
         apiAuthApplyMapper.insert(apiAuthApply);
    }


    public void updateApiAuthApply(ApiAuthApply apiAuthApply) {
         apiAuthApplyMapper.update(apiAuthApply);
    }
    public List<ApplyVO> getApplyList(Integer userId,String apiName, Integer apiType) {
         return  apiAuthApplyMapper.getApplyList(userId,apiName,apiType);
    }
    public List<ExamineVO> getExamineList(Integer status, String userName) {
         return  apiAuthApplyMapper.getExamineList(status,userName);
    }

    public ApplyDetailVO selectById(Integer id){
        return  apiAuthApplyMapper.selectById(id);
    }
}
