package com.ff.apimngr.service;

import com.ff.apimngr.dao.QpsApplyMapper;
import com.ff.apimngr.entity.QpsApply;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

@Service
public class QpsApplyService {

    @Resource
    private QpsApplyMapper qpsApplyMapper;

    public QpsApply findQpsApplyById(Integer id){
        return qpsApplyMapper.findById(id);
    }

    public QpsApply findQpsApplyByName(String name) {
        return qpsApplyMapper.findByName(name);
    }


    public Integer insertQpsApply(QpsApply qpsApply) {
        return qpsApplyMapper.insert(qpsApply);
    }

    public boolean updateQpsApply(QpsApply qpsApply) {
        return qpsApplyMapper.update(qpsApply);
    }

    public boolean deleteQpsApplyById(Integer id) {
        return qpsApplyMapper.deleteById(id);
    }

    public List<QpsApply> listQpsApplys(String tag) {
        return qpsApplyMapper.listQpsApplys(tag);
    }

    public List<HashMap> listQpsApplyByTag(Integer tag) {
        return qpsApplyMapper.listQpsApplyByTag(tag);
    }
}
