package com.ff.apimngr.dao;

import com.ff.apimngr.entity.ApiAuthApply;
import com.ff.apimngr.entity.ApplyDetailVO;
import com.ff.apimngr.entity.ApplyVO;
import com.ff.apimngr.entity.ExamineVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ApiAuthApplyMapper {

    void insert(ApiAuthApply apiAuthApply);

    void update(ApiAuthApply apiAuthApply);

    List<ApplyVO> getApplyList(@Param("userId")Integer userId,@Param("apiName")String apiName, @Param("apiType")Integer apiType);

    List<ExamineVO> getExamineList(@Param("status")Integer status, @Param("userName")String userName);

    ApplyDetailVO selectById(Integer id);

}
