package com.ff.apimngr.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ff.apimngr.entity.DataApi;
import com.ff.apimngr.entity.DataApiVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 数据接口 Mapper 接口
 *
 * @author BladeX
 * @since 2021-04-17
 */
@Mapper
public interface DataApiMapper extends BaseMapper<DataApi> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param dataApi
	 * @return
	 */
	List<DataApiVO> selectDataApiPage(IPage page, DataApiVO dataApi);


	DataApi getByApiKey(String apiKey);

}
