package com.ff.apimngr.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ff.apimngr.dao.TableCategoryRelationMapper;
import com.ff.apimngr.dto.response.TableCategoryDTO;
import com.ff.apimngr.entity.TableCategoryRelation;
import com.ff.apimngr.entity.TableCategoryRelationVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TableCategoryRelationService extends ServiceImpl<TableCategoryRelationMapper, TableCategoryRelation> {

    public IPage<TableCategoryRelationVO> selectTableCategoryRelationPage(IPage<TableCategoryRelationVO> page, TableCategoryRelationVO tableCategoryRelation) {
        return page.setRecords(baseMapper.selectTableCategoryRelationPage(page, tableCategoryRelation));
    }

    public List<TableCategoryDTO> getInfoByDatasourceId(Integer datasourceId) {
        return baseMapper.getInfoByDatasourceId(datasourceId);
    }
}
