package com.ff.apimngr.util;

import java.util.HashMap;
import java.util.Map;

public enum GetGesture {
    One("One","数字1（原食指）"),
    Five("Five","数字5（原掌心向前"),
    Fist("Fist","拳头"),
    OK("OK","OK"),
    Prayer("Prayer","祈祷"),
    Congratulation("Congratulation","作揖"),
    Honour("Honour","作别"),
    Heart_single("Heart_single","单手比心"),
    Thumb_up("Thumb_up","点赞"),
    Thumb_down("Thumb_down","Diss"),
    ILY("ILY","我爱你"),
    Palm_up("Palm_up","掌心向上"),
    Heart_1("Heart_1","双手比心1"),
    Heart_2("Heart_2","双手比心2"),
    Heart_3("Heart_3","双手比心3"),
    Two("Two","数字2"),
    Three("Three","数字3"),
    Four("Four","数字4"),
    Rock("Rock","Rock"),
    Six("Six","数字6"),
    Seven("Seven","数字7"),
    Eight("Eight","数字8"),
    Nine("Nine","数字9"),
    Insult("Insult","竖中指"),
    Face("Face","脸部"),
    Others("Other","暂不支持此手势识别")
    ;

    private String type;

    private String typeInfo;

    GetGesture(String type, String typeInfo) {
        this.type = type;
        this.typeInfo = typeInfo;
    }

    public static Map<String, String> queryAll() {
        Map<String, String> map = new HashMap<>();
        for (GetGesture t : GetGesture.values()) {
            map.put(t.type, t.typeInfo);
        }
        return map;
    }
}
